aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.PutBucket

# Documentation

data PutBucket #

Constructors

PutBucket |

Fields

- pbBucket :: Bucket
- pbCannedAcl :: Maybe CannedAcl
- pbLocationConstraint :: LocationConstraint
- pbXStorageClass :: Maybe StorageClass

  Google Cloud Storage S3 nonstandard extension

#### Instances

Instances details

SignQuery PutBucket # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.PutBucket

Associated Types

type ServiceConfiguration PutBucket |
Instance details Defined in Aws.S3.Commands.PutBucket type ServiceConfiguration PutBucket = S3Configuration

Methods

signQuery :: PutBucket -> ServiceConfiguration PutBucket queryType -> SignatureData -> SignedQuery #

Show PutBucket # |
Instance details Defined in Aws.S3.Commands.PutBucket Methods showsPrec :: Int -> PutBucket -> ShowS # show :: PutBucket -> String # showList :: [PutBucket] -> ShowS #
Transaction PutBucket PutBucketResponse # |
Instance details Defined in Aws.S3.Commands.PutBucket
type ServiceConfiguration PutBucket # |
Instance details Defined in Aws.S3.Commands.PutBucket type ServiceConfiguration PutBucket = S3Configuration

putBucket :: Bucket -> PutBucket #

data PutBucketResponse #

Constructors

PutBucketResponse |

#### Instances

Instances details

AsMemoryResponse PutBucketResponse # |

Instance details

Defined in Aws.S3.Commands.PutBucket

Associated Types

type MemoryResponse PutBucketResponse |
Instance details Defined in Aws.S3.Commands.PutBucket type MemoryResponse PutBucketResponse = PutBucketResponse

Methods

loadToMemory :: PutBucketResponse -> ResourceT IO (MemoryResponse PutBucketResponse) #

Show PutBucketResponse # |
Instance details Defined in Aws.S3.Commands.PutBucket Methods showsPrec :: Int -> PutBucketResponse -> ShowS # show :: PutBucketResponse -> String # showList :: [PutBucketResponse] -> ShowS #
ResponseConsumer r PutBucketResponse # |

Instance details

Defined in Aws.S3.Commands.PutBucket

Associated Types

type ResponseMetadata PutBucketResponse |
Instance details Defined in Aws.S3.Commands.PutBucket type ResponseMetadata PutBucketResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata PutBucketResponse) -> HTTPResponseConsumer PutBucketResponse #

Transaction PutBucket PutBucketResponse # |
Instance details Defined in Aws.S3.Commands.PutBucket
type MemoryResponse PutBucketResponse # |
Instance details Defined in Aws.S3.Commands.PutBucket type MemoryResponse PutBucketResponse = PutBucketResponse
type ResponseMetadata PutBucketResponse # |
Instance details Defined in Aws.S3.Commands.PutBucket type ResponseMetadata PutBucketResponse = S3Metadata